Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/20
Addresses2^108
/64 networks2^44
Network
ff08::/20
First address
ff08::
Last address
ff08:fff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
324,518,553,658,426,726,783,156,020,576,256 (2^108)
/64 networks (LANs)
17,592,186,044,416 (2^44)
Full form
ff08:0000:0000:0000:0000:0000:0000:0000
Type
Multicast ff00::/8
One-to-many traffic; replaces broadcast
Reverse DNS zone
0.8.0.f.f.ip6.arpa
Split into smaller subnets/36

ff08::/20 makes 65,536 subnets of /36; the first 256 are listed.

Subnets
#SubnetLast address
1ff08::/36ff08:0:fff:ffff:ffff:ffff:ffff:ffff
2ff08:0:1000::/36ff08:0:1fff:ffff:ffff:ffff:ffff:ffff
3ff08:0:2000::/36ff08:0:2fff:ffff:ffff:ffff:ffff:ffff
4ff08:0:3000::/36ff08:0:3fff:ffff:ffff:ffff:ffff:ffff
5ff08:0:4000::/36ff08:0:4fff:ffff:ffff:ffff:ffff:ffff
6ff08:0:5000::/36ff08:0:5fff:ffff:ffff:ffff:ffff:ffff
7ff08:0:6000::/36ff08:0:6fff:ffff:ffff:ffff:ffff:ffff
8ff08:0:7000::/36ff08:0:7fff:ffff:ffff:ffff:ffff:ffff
9ff08:0:8000::/36ff08:0:8fff:ffff:ffff:ffff:ffff:ffff
10ff08:0:9000::/36ff08:0:9fff:ffff:ffff:ffff:ffff:ffff
11ff08:0:a000::/36ff08:0:afff:ffff:ffff:ffff:ffff:ffff
12ff08:0:b000::/36ff08:0:bfff:ffff:ffff:ffff:ffff:ffff
13ff08:0:c000::/36ff08:0:cfff:ffff:ffff:ffff:ffff:ffff
14ff08:0:d000::/36ff08:0:dfff:ffff:ffff:ffff:ffff:ffff
15ff08:0:e000::/36ff08:0:efff:ffff:ffff:ffff:ffff:ffff
16ff08:0:f000::/36ff08:0:ffff:ffff:ffff:ffff:ffff:ffff
17ff08:1::/36ff08:1:fff:ffff:ffff:ffff:ffff:ffff
18ff08:1:1000::/36ff08:1:1fff:ffff:ffff:ffff:ffff:ffff
19ff08:1:2000::/36ff08:1:2fff:ffff:ffff:ffff:ffff:ffff
20ff08:1:3000::/36ff08:1:3fff:ffff:ffff:ffff:ffff:ffff
21ff08:1:4000::/36ff08:1:4fff:ffff:ffff:ffff:ffff:ffff
22ff08:1:5000::/36ff08:1:5fff:ffff:ffff:ffff:ffff:ffff
23ff08:1:6000::/36ff08:1:6fff:ffff:ffff:ffff:ffff:ffff
24ff08:1:7000::/36ff08:1:7fff:ffff:ffff:ffff:ffff:ffff
25ff08:1:8000::/36ff08:1:8fff:ffff:ffff:ffff:ffff:ffff
26ff08:1:9000::/36ff08:1:9fff:ffff:ffff:ffff:ffff:ffff
27ff08:1:a000::/36ff08:1:afff:ffff:ffff:ffff:ffff:ffff
28ff08:1:b000::/36ff08:1:bfff:ffff:ffff:ffff:ffff:ffff
29ff08:1:c000::/36ff08:1:cfff:ffff:ffff:ffff:ffff:ffff
30ff08:1:d000::/36ff08:1:dfff:ffff:ffff:ffff:ffff:ffff
31ff08:1:e000::/36ff08:1:efff:ffff:ffff:ffff:ffff:ffff
32ff08:1:f000::/36ff08:1:ffff:ffff:ffff:ffff:ffff:ffff
33ff08:2::/36ff08:2:fff:ffff:ffff:ffff:ffff:ffff
34ff08:2:1000::/36ff08:2:1fff:ffff:ffff:ffff:ffff:ffff
35ff08:2:2000::/36ff08:2:2fff:ffff:ffff:ffff:ffff:ffff
36ff08:2:3000::/36ff08:2:3fff:ffff:ffff:ffff:ffff:ffff
37ff08:2:4000::/36ff08:2:4fff:ffff:ffff:ffff:ffff:ffff
38ff08:2:5000::/36ff08:2:5fff:ffff:ffff:ffff:ffff:ffff
39ff08:2:6000::/36ff08:2:6fff:ffff:ffff:ffff:ffff:ffff
40ff08:2:7000::/36ff08:2:7fff:ffff:ffff:ffff:ffff:ffff
41ff08:2:8000::/36ff08:2:8fff:ffff:ffff:ffff:ffff:ffff
42ff08:2:9000::/36ff08:2:9fff:ffff:ffff:ffff:ffff:ffff
43ff08:2:a000::/36ff08:2:afff:ffff:ffff:ffff:ffff:ffff
44ff08:2:b000::/36ff08:2:bfff:ffff:ffff:ffff:ffff:ffff
45ff08:2:c000::/36ff08:2:cfff:ffff:ffff:ffff:ffff:ffff
46ff08:2:d000::/36ff08:2:dfff:ffff:ffff:ffff:ffff:ffff
47ff08:2:e000::/36ff08:2:efff:ffff:ffff:ffff:ffff:ffff
48ff08:2:f000::/36ff08:2:ffff:ffff:ffff:ffff:ffff:ffff
49ff08:3::/36ff08:3:fff:ffff:ffff:ffff:ffff:ffff
50ff08:3:1000::/36ff08:3:1fff:ffff:ffff:ffff:ffff:ffff
51ff08:3:2000::/36ff08:3:2fff:ffff:ffff:ffff:ffff:ffff
52ff08:3:3000::/36ff08:3:3fff:ffff:ffff:ffff:ffff:ffff
53ff08:3:4000::/36ff08:3:4fff:ffff:ffff:ffff:ffff:ffff
54ff08:3:5000::/36ff08:3:5fff:ffff:ffff:ffff:ffff:ffff
55ff08:3:6000::/36ff08:3:6fff:ffff:ffff:ffff:ffff:ffff
56ff08:3:7000::/36ff08:3:7fff:ffff:ffff:ffff:ffff:ffff
57ff08:3:8000::/36ff08:3:8fff:ffff:ffff:ffff:ffff:ffff
58ff08:3:9000::/36ff08:3:9fff:ffff:ffff:ffff:ffff:ffff
59ff08:3:a000::/36ff08:3:afff:ffff:ffff:ffff:ffff:ffff
60ff08:3:b000::/36ff08:3:bfff:ffff:ffff:ffff:ffff:ffff
61ff08:3:c000::/36ff08:3:cfff:ffff:ffff:ffff:ffff:ffff
62ff08:3:d000::/36ff08:3:dfff:ffff:ffff:ffff:ffff:ffff
63ff08:3:e000::/36ff08:3:efff:ffff:ffff:ffff:ffff:ffff
64ff08:3:f000::/36ff08:3:ffff:ffff:ffff:ffff:ffff:ffff
65ff08:4::/36ff08:4:fff:ffff:ffff:ffff:ffff:ffff
66ff08:4:1000::/36ff08:4:1fff:ffff:ffff:ffff:ffff:ffff
67ff08:4:2000::/36ff08:4:2fff:ffff:ffff:ffff:ffff:ffff
68ff08:4:3000::/36ff08:4:3fff:ffff:ffff:ffff:ffff:ffff
69ff08:4:4000::/36ff08:4:4fff:ffff:ffff:ffff:ffff:ffff
70ff08:4:5000::/36ff08:4:5fff:ffff:ffff:ffff:ffff:ffff
71ff08:4:6000::/36ff08:4:6fff:ffff:ffff:ffff:ffff:ffff
72ff08:4:7000::/36ff08:4:7fff:ffff:ffff:ffff:ffff:ffff
73ff08:4:8000::/36ff08:4:8fff:ffff:ffff:ffff:ffff:ffff
74ff08:4:9000::/36ff08:4:9fff:ffff:ffff:ffff:ffff:ffff
75ff08:4:a000::/36ff08:4:afff:ffff:ffff:ffff:ffff:ffff
76ff08:4:b000::/36ff08:4:bfff:ffff:ffff:ffff:ffff:ffff
77ff08:4:c000::/36ff08:4:cfff:ffff:ffff:ffff:ffff:ffff
78ff08:4:d000::/36ff08:4:dfff:ffff:ffff:ffff:ffff:ffff
79ff08:4:e000::/36ff08:4:efff:ffff:ffff:ffff:ffff:ffff
80ff08:4:f000::/36ff08:4:ffff:ffff:ffff:ffff:ffff:ffff
81ff08:5::/36ff08:5:fff:ffff:ffff:ffff:ffff:ffff
82ff08:5:1000::/36ff08:5:1fff:ffff:ffff:ffff:ffff:ffff
83ff08:5:2000::/36ff08:5:2fff:ffff:ffff:ffff:ffff:ffff
84ff08:5:3000::/36ff08:5:3fff:ffff:ffff:ffff:ffff:ffff
85ff08:5:4000::/36ff08:5:4fff:ffff:ffff:ffff:ffff:ffff
86ff08:5:5000::/36ff08:5:5fff:ffff:ffff:ffff:ffff:ffff
87ff08:5:6000::/36ff08:5:6fff:ffff:ffff:ffff:ffff:ffff
88ff08:5:7000::/36ff08:5:7fff:ffff:ffff:ffff:ffff:ffff
89ff08:5:8000::/36ff08:5:8fff:ffff:ffff:ffff:ffff:ffff
90ff08:5:9000::/36ff08:5:9fff:ffff:ffff:ffff:ffff:ffff
91ff08:5:a000::/36ff08:5:afff:ffff:ffff:ffff:ffff:ffff
92ff08:5:b000::/36ff08:5:bfff:ffff:ffff:ffff:ffff:ffff
93ff08:5:c000::/36ff08:5:cfff:ffff:ffff:ffff:ffff:ffff
94ff08:5:d000::/36ff08:5:dfff:ffff:ffff:ffff:ffff:ffff
95ff08:5:e000::/36ff08:5:efff:ffff:ffff:ffff:ffff:ffff
96ff08:5:f000::/36ff08:5:ffff:ffff:ffff:ffff:ffff:ffff
97ff08:6::/36ff08:6:fff:ffff:ffff:ffff:ffff:ffff
98ff08:6:1000::/36ff08:6:1fff:ffff:ffff:ffff:ffff:ffff
99ff08:6:2000::/36ff08:6:2fff:ffff:ffff:ffff:ffff:ffff
100ff08:6:3000::/36ff08:6:3fff:ffff:ffff:ffff:ffff:ffff
101ff08:6:4000::/36ff08:6:4fff:ffff:ffff:ffff:ffff:ffff
102ff08:6:5000::/36ff08:6:5fff:ffff:ffff:ffff:ffff:ffff
103ff08:6:6000::/36ff08:6:6fff:ffff:ffff:ffff:ffff:ffff
104ff08:6:7000::/36ff08:6:7fff:ffff:ffff:ffff:ffff:ffff
105ff08:6:8000::/36ff08:6:8fff:ffff:ffff:ffff:ffff:ffff
106ff08:6:9000::/36ff08:6:9fff:ffff:ffff:ffff:ffff:ffff
107ff08:6:a000::/36ff08:6:afff:ffff:ffff:ffff:ffff:ffff
108ff08:6:b000::/36ff08:6:bfff:ffff:ffff:ffff:ffff:ffff
109ff08:6:c000::/36ff08:6:cfff:ffff:ffff:ffff:ffff:ffff
110ff08:6:d000::/36ff08:6:dfff:ffff:ffff:ffff:ffff:ffff
111ff08:6:e000::/36ff08:6:efff:ffff:ffff:ffff:ffff:ffff
112ff08:6:f000::/36ff08:6:ffff:ffff:ffff:ffff:ffff:ffff
113ff08:7::/36ff08:7:fff:ffff:ffff:ffff:ffff:ffff
114ff08:7:1000::/36ff08:7:1fff:ffff:ffff:ffff:ffff:ffff
115ff08:7:2000::/36ff08:7:2fff:ffff:ffff:ffff:ffff:ffff
116ff08:7:3000::/36ff08:7:3fff:ffff:ffff:ffff:ffff:ffff
117ff08:7:4000::/36ff08:7:4fff:ffff:ffff:ffff:ffff:ffff
118ff08:7:5000::/36ff08:7:5fff:ffff:ffff:ffff:ffff:ffff
119ff08:7:6000::/36ff08:7:6fff:ffff:ffff:ffff:ffff:ffff
120ff08:7:7000::/36ff08:7:7fff:ffff:ffff:ffff:ffff:ffff
121ff08:7:8000::/36ff08:7:8fff:ffff:ffff:ffff:ffff:ffff
122ff08:7:9000::/36ff08:7:9fff:ffff:ffff:ffff:ffff:ffff
123ff08:7:a000::/36ff08:7:afff:ffff:ffff:ffff:ffff:ffff
124ff08:7:b000::/36ff08:7:bfff:ffff:ffff:ffff:ffff:ffff
125ff08:7:c000::/36ff08:7:cfff:ffff:ffff:ffff:ffff:ffff
126ff08:7:d000::/36ff08:7:dfff:ffff:ffff:ffff:ffff:ffff
127ff08:7:e000::/36ff08:7:efff:ffff:ffff:ffff:ffff:ffff
128ff08:7:f000::/36ff08:7:ffff:ffff:ffff:ffff:ffff:ffff
129ff08:8::/36ff08:8:fff:ffff:ffff:ffff:ffff:ffff
130ff08:8:1000::/36ff08:8:1fff:ffff:ffff:ffff:ffff:ffff
131ff08:8:2000::/36ff08:8:2fff:ffff:ffff:ffff:ffff:ffff
132ff08:8:3000::/36ff08:8:3fff:ffff:ffff:ffff:ffff:ffff
133ff08:8:4000::/36ff08:8:4fff:ffff:ffff:ffff:ffff:ffff
134ff08:8:5000::/36ff08:8:5fff:ffff:ffff:ffff:ffff:ffff
135ff08:8:6000::/36ff08:8:6fff:ffff:ffff:ffff:ffff:ffff
136ff08:8:7000::/36ff08:8:7fff:ffff:ffff:ffff:ffff:ffff
137ff08:8:8000::/36ff08:8:8fff:ffff:ffff:ffff:ffff:ffff
138ff08:8:9000::/36ff08:8:9fff:ffff:ffff:ffff:ffff:ffff
139ff08:8:a000::/36ff08:8:afff:ffff:ffff:ffff:ffff:ffff
140ff08:8:b000::/36ff08:8:bfff:ffff:ffff:ffff:ffff:ffff
141ff08:8:c000::/36ff08:8:cfff:ffff:ffff:ffff:ffff:ffff
142ff08:8:d000::/36ff08:8:dfff:ffff:ffff:ffff:ffff:ffff
143ff08:8:e000::/36ff08:8:efff:ffff:ffff:ffff:ffff:ffff
144ff08:8:f000::/36ff08:8:ffff:ffff:ffff:ffff:ffff:ffff
145ff08:9::/36ff08:9:fff:ffff:ffff:ffff:ffff:ffff
146ff08:9:1000::/36ff08:9:1fff:ffff:ffff:ffff:ffff:ffff
147ff08:9:2000::/36ff08:9:2fff:ffff:ffff:ffff:ffff:ffff
148ff08:9:3000::/36ff08:9:3fff:ffff:ffff:ffff:ffff:ffff
149ff08:9:4000::/36ff08:9:4fff:ffff:ffff:ffff:ffff:ffff
150ff08:9:5000::/36ff08:9:5fff:ffff:ffff:ffff:ffff:ffff
151ff08:9:6000::/36ff08:9:6fff:ffff:ffff:ffff:ffff:ffff
152ff08:9:7000::/36ff08:9:7fff:ffff:ffff:ffff:ffff:ffff
153ff08:9:8000::/36ff08:9:8fff:ffff:ffff:ffff:ffff:ffff
154ff08:9:9000::/36ff08:9:9fff:ffff:ffff:ffff:ffff:ffff
155ff08:9:a000::/36ff08:9:afff:ffff:ffff:ffff:ffff:ffff
156ff08:9:b000::/36ff08:9:bfff:ffff:ffff:ffff:ffff:ffff
157ff08:9:c000::/36ff08:9:cfff:ffff:ffff:ffff:ffff:ffff
158ff08:9:d000::/36ff08:9:dfff:ffff:ffff:ffff:ffff:ffff
159ff08:9:e000::/36ff08:9:efff:ffff:ffff:ffff:ffff:ffff
160ff08:9:f000::/36ff08:9:ffff:ffff:ffff:ffff:ffff:ffff
161ff08:a::/36ff08:a:fff:ffff:ffff:ffff:ffff:ffff
162ff08:a:1000::/36ff08:a:1fff:ffff:ffff:ffff:ffff:ffff
163ff08:a:2000::/36ff08:a:2fff:ffff:ffff:ffff:ffff:ffff
164ff08:a:3000::/36ff08:a:3fff:ffff:ffff:ffff:ffff:ffff
165ff08:a:4000::/36ff08:a:4fff:ffff:ffff:ffff:ffff:ffff
166ff08:a:5000::/36ff08:a:5fff:ffff:ffff:ffff:ffff:ffff
167ff08:a:6000::/36ff08:a:6fff:ffff:ffff:ffff:ffff:ffff
168ff08:a:7000::/36ff08:a:7fff:ffff:ffff:ffff:ffff:ffff
169ff08:a:8000::/36ff08:a:8fff:ffff:ffff:ffff:ffff:ffff
170ff08:a:9000::/36ff08:a:9fff:ffff:ffff:ffff:ffff:ffff
171ff08:a:a000::/36ff08:a:afff:ffff:ffff:ffff:ffff:ffff
172ff08:a:b000::/36ff08:a:bfff:ffff:ffff:ffff:ffff:ffff
173ff08:a:c000::/36ff08:a:cfff:ffff:ffff:ffff:ffff:ffff
174ff08:a:d000::/36ff08:a:dfff:ffff:ffff:ffff:ffff:ffff
175ff08:a:e000::/36ff08:a:efff:ffff:ffff:ffff:ffff:ffff
176ff08:a:f000::/36ff08:a:ffff:ffff:ffff:ffff:ffff:ffff
177ff08:b::/36ff08:b:fff:ffff:ffff:ffff:ffff:ffff
178ff08:b:1000::/36ff08:b:1fff:ffff:ffff:ffff:ffff:ffff
179ff08:b:2000::/36ff08:b:2fff:ffff:ffff:ffff:ffff:ffff
180ff08:b:3000::/36ff08:b:3fff:ffff:ffff:ffff:ffff:ffff
181ff08:b:4000::/36ff08:b:4fff:ffff:ffff:ffff:ffff:ffff
182ff08:b:5000::/36ff08:b:5fff:ffff:ffff:ffff:ffff:ffff
183ff08:b:6000::/36ff08:b:6fff:ffff:ffff:ffff:ffff:ffff
184ff08:b:7000::/36ff08:b:7fff:ffff:ffff:ffff:ffff:ffff
185ff08:b:8000::/36ff08:b:8fff:ffff:ffff:ffff:ffff:ffff
186ff08:b:9000::/36ff08:b:9fff:ffff:ffff:ffff:ffff:ffff
187ff08:b:a000::/36ff08:b:afff:ffff:ffff:ffff:ffff:ffff
188ff08:b:b000::/36ff08:b:bfff:ffff:ffff:ffff:ffff:ffff
189ff08:b:c000::/36ff08:b:cfff:ffff:ffff:ffff:ffff:ffff
190ff08:b:d000::/36ff08:b:dfff:ffff:ffff:ffff:ffff:ffff
191ff08:b:e000::/36ff08:b:efff:ffff:ffff:ffff:ffff:ffff
192ff08:b:f000::/36ff08:b:ffff:ffff:ffff:ffff:ffff:ffff
193ff08:c::/36ff08:c:fff:ffff:ffff:ffff:ffff:ffff
194ff08:c:1000::/36ff08:c:1fff:ffff:ffff:ffff:ffff:ffff
195ff08:c:2000::/36ff08:c:2fff:ffff:ffff:ffff:ffff:ffff
196ff08:c:3000::/36ff08:c:3fff:ffff:ffff:ffff:ffff:ffff
197ff08:c:4000::/36ff08:c:4fff:ffff:ffff:ffff:ffff:ffff
198ff08:c:5000::/36ff08:c:5fff:ffff:ffff:ffff:ffff:ffff
199ff08:c:6000::/36ff08:c:6fff:ffff:ffff:ffff:ffff:ffff
200ff08:c:7000::/36ff08:c:7fff:ffff:ffff:ffff:ffff:ffff
201ff08:c:8000::/36ff08:c:8fff:ffff:ffff:ffff:ffff:ffff
202ff08:c:9000::/36ff08:c:9fff:ffff:ffff:ffff:ffff:ffff
203ff08:c:a000::/36ff08:c:afff:ffff:ffff:ffff:ffff:ffff
204ff08:c:b000::/36ff08:c:bfff:ffff:ffff:ffff:ffff:ffff
205ff08:c:c000::/36ff08:c:cfff:ffff:ffff:ffff:ffff:ffff
206ff08:c:d000::/36ff08:c:dfff:ffff:ffff:ffff:ffff:ffff
207ff08:c:e000::/36ff08:c:efff:ffff:ffff:ffff:ffff:ffff
208ff08:c:f000::/36ff08:c:ffff:ffff:ffff:ffff:ffff:ffff
209ff08:d::/36ff08:d:fff:ffff:ffff:ffff:ffff:ffff
210ff08:d:1000::/36ff08:d:1fff:ffff:ffff:ffff:ffff:ffff
211ff08:d:2000::/36ff08:d:2fff:ffff:ffff:ffff:ffff:ffff
212ff08:d:3000::/36ff08:d:3fff:ffff:ffff:ffff:ffff:ffff
213ff08:d:4000::/36ff08:d:4fff:ffff:ffff:ffff:ffff:ffff
214ff08:d:5000::/36ff08:d:5fff:ffff:ffff:ffff:ffff:ffff
215ff08:d:6000::/36ff08:d:6fff:ffff:ffff:ffff:ffff:ffff
216ff08:d:7000::/36ff08:d:7fff:ffff:ffff:ffff:ffff:ffff
217ff08:d:8000::/36ff08:d:8fff:ffff:ffff:ffff:ffff:ffff
218ff08:d:9000::/36ff08:d:9fff:ffff:ffff:ffff:ffff:ffff
219ff08:d:a000::/36ff08:d:afff:ffff:ffff:ffff:ffff:ffff
220ff08:d:b000::/36ff08:d:bfff:ffff:ffff:ffff:ffff:ffff
221ff08:d:c000::/36ff08:d:cfff:ffff:ffff:ffff:ffff:ffff
222ff08:d:d000::/36ff08:d:dfff:ffff:ffff:ffff:ffff:ffff
223ff08:d:e000::/36ff08:d:efff:ffff:ffff:ffff:ffff:ffff
224ff08:d:f000::/36ff08:d:ffff:ffff:ffff:ffff:ffff:ffff
225ff08:e::/36ff08:e:fff:ffff:ffff:ffff:ffff:ffff
226ff08:e:1000::/36ff08:e:1fff:ffff:ffff:ffff:ffff:ffff
227ff08:e:2000::/36ff08:e:2fff:ffff:ffff:ffff:ffff:ffff
228ff08:e:3000::/36ff08:e:3fff:ffff:ffff:ffff:ffff:ffff
229ff08:e:4000::/36ff08:e:4fff:ffff:ffff:ffff:ffff:ffff
230ff08:e:5000::/36ff08:e:5fff:ffff:ffff:ffff:ffff:ffff
231ff08:e:6000::/36ff08:e:6fff:ffff:ffff:ffff:ffff:ffff
232ff08:e:7000::/36ff08:e:7fff:ffff:ffff:ffff:ffff:ffff
233ff08:e:8000::/36ff08:e:8fff:ffff:ffff:ffff:ffff:ffff
234ff08:e:9000::/36ff08:e:9fff:ffff:ffff:ffff:ffff:ffff
235ff08:e:a000::/36ff08:e:afff:ffff:ffff:ffff:ffff:ffff
236ff08:e:b000::/36ff08:e:bfff:ffff:ffff:ffff:ffff:ffff
237ff08:e:c000::/36ff08:e:cfff:ffff:ffff:ffff:ffff:ffff
238ff08:e:d000::/36ff08:e:dfff:ffff:ffff:ffff:ffff:ffff
239ff08:e:e000::/36ff08:e:efff:ffff:ffff:ffff:ffff:ffff
240ff08:e:f000::/36ff08:e:ffff:ffff:ffff:ffff:ffff:ffff
241ff08:f::/36ff08:f:fff:ffff:ffff:ffff:ffff:ffff
242ff08:f:1000::/36ff08:f:1fff:ffff:ffff:ffff:ffff:ffff
243ff08:f:2000::/36ff08:f:2fff:ffff:ffff:ffff:ffff:ffff
244ff08:f:3000::/36ff08:f:3fff:ffff:ffff:ffff:ffff:ffff
245ff08:f:4000::/36ff08:f:4fff:ffff:ffff:ffff:ffff:ffff
246ff08:f:5000::/36ff08:f:5fff:ffff:ffff:ffff:ffff:ffff
247ff08:f:6000::/36ff08:f:6fff:ffff:ffff:ffff:ffff:ffff
248ff08:f:7000::/36ff08:f:7fff:ffff:ffff:ffff:ffff:ffff
249ff08:f:8000::/36ff08:f:8fff:ffff:ffff:ffff:ffff:ffff
250ff08:f:9000::/36ff08:f:9fff:ffff:ffff:ffff:ffff:ffff
251ff08:f:a000::/36ff08:f:afff:ffff:ffff:ffff:ffff:ffff
252ff08:f:b000::/36ff08:f:bfff:ffff:ffff:ffff:ffff:ffff
253ff08:f:c000::/36ff08:f:cfff:ffff:ffff:ffff:ffff:ffff
254ff08:f:d000::/36ff08:f:dfff:ffff:ffff:ffff:ffff:ffff
255ff08:f:e000::/36ff08:f:efff:ffff:ffff:ffff:ffff:ffff
256ff08:f:f000::/36ff08:f:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses